Providers
List Providers
Returns a paginated list of providers.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Query Parameters
id?string
Unique identifier for the resource.
Format
uuidid[in]?array<>
Filters by any of the supplied id values.
Items
items <= 10type?"twilio-regulatory-bundle" | "meta-account" | "google-account" | "nylas" | "360dialog-whatsapp-business-account" | "meta-business" | "meta-waba" | "emailbrief" | "ftp" | "twilio"
Type of the resource.
type[neq]?"twilio-regulatory-bundle" | "meta-account" | "google-account" | "nylas" | "360dialog-whatsapp-business-account" | "meta-business" | "meta-waba" | "emailbrief" | "ftp" | "twilio"
Filters out resources with this type.
type[in]?array<"twilio-regulatory-bundle" | "meta-account" | "google-account" | "nylas" | "360dialog-whatsapp-business-account" | "meta-business" | "meta-waba" | "emailbrief" | "ftp" | "twilio">
Filters by any of the supplied type values.
status?"draft" | "in-review" | "rejected" | "active" | "inactive"
Current status of the resource.
status[in]?array<"draft" | "in-review" | "rejected" | "active" | "inactive">
Filters by any of the supplied status values.
limit?integer
Maximum number of resources to return.
Default
10Range
0 <= value <= 100page_token?string
Opaque token returned by a previous page request.
Length
1 <= lengthResponse Body
application/json
curl -X GET "https://api.getmateo.com/v1/providers"{ "object": "list", "data": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "type": "twilio-regulatory-bundle", "status": "draft", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" } ], "next_page_url": "string", "previous_page_url": "string"}